# Class CardConfig

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a configuration class for defining the properties and settings of a card.

    public class CardConfig

Inheritance
  object
  CardConfig

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)
  CardConfigExtensions.GetAllObservationNames(CardConfig)

## Remarks

This class is intended to be used as a data container or settings holder for card-related configurations.

## Properties

### Id

    public ObjectId Id { get; set; }

#### Property Value

ObjectId

### Rows

    public List<RowCardConfig>? Rows { get; set; }

#### Property Value

List<RowCardConfig>